Bug 1415294 - [CentOS Virt SIG] unable to run containers with docker-latest
Summary: [CentOS Virt SIG] unable to run containers with docker-latest
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: docker-latest
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-20 19:27 UTC by Micah Abbott
Modified: 2018-11-30 17:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 17:37:42 UTC
Type: Bug


Attachments (Terms of Use)

Description Micah Abbott 2017-01-20 19:27:51 UTC
Originally saw this on the CAHC stream using 'docker-latest' from the CentOS Virt SIG.

https://github.com/CentOS/sig-atomic-buildscripts/issues/233


# atomic host status
State: idle
Deployments:
● centos-atomic-continuous:centos-atomic-host/7/x86_64/devel/continuous
       Version: 7.2017.54 (2017-01-20 16:05:52)
        Commit: efd2a5880903a3fa8b771bd07d05139bbbdccc99e66d06a0a79930da08e34b8b
        OSName: centos-atomic-host
# rpm -q docker-latest
docker-latest-1.13-27.git6cd0bbe.el7.x86_64
# docker run -it centos /bin/bash
/usr/bin/docker-latest: Error response from daemon: linux init cgroups path: mkdir /system.slice: permission denied.

Jan 20 17:18:24 cahc-dev dockerd-latest[12291]: time="2017-01-20T17:18:24.727929701Z" level=info msg="{Action=_ping, Username=vagrant, LoginUID=1001, PID=13295}"
Jan 20 17:18:24 cahc-dev dockerd-latest[12291]: time="2017-01-20T17:18:24.730633933Z" level=info msg="{Action=create, Username=vagrant, LoginUID=1001, PID=13295}"
Jan 20 17:18:24 cahc-dev dockerd-latest[12291]: time="2017-01-20T17:18:24.790314487Z" level=info msg="{Action=attach, ID=97f3af5ea91670143328eac858df6e665a6789c47c5a01349ac64c4437f5cf38, Username=vagrant, LoginUID=1001, PID=13295}"
Jan 20 17:18:24 cahc-dev dockerd-latest[12291]: time="2017-01-20T17:18:24.791365289Z" level=info msg="{Action=start, ID=97f3af5ea91670143328eac858df6e665a6789c47c5a01349ac64c4437f5cf38, Username=vagrant, LoginUID=1001, PID=13295, Config={Hostname=97f3af5ea916, AttachStdin=true, AttachStdout=true, AttachStderr=true, Tty=true, OpenStdin=true, StdinOnce=true, Env=[PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin], Cmd=[/bin/bash], ArgsEscaped=false, Image=centos, NetworkDisabled=false, Labels=map[vendor:CentOS build-date:20161214 license:GPLv2 name:CentOS Base Image]}, HostConfig={LogConfig={Type:journald Config:map[]}, NetworkMode=default, PortBindings=map[], RestartPolicy={Name:no MaximumRetryCount:0}, AutoRemove=false, DNS=[], DNSOptions=[], DNSSearch=[], Privileged=false, PublishAllPorts=false, ReadonlyRootfs=false, ShmSize=67108864, Runtime=oci, Resources={CPUShares:0 Memory:0 NanoCPUs:0 CgroupParent: BlkioWeight:0 BlkioWeightDevice:[] BlkioDeviceReadBps:[] BlkioDeviceWriteBps:[] BlkioDeviceReadIOps:[] BlkioDeviceWriteIOps:[] CPUPeriod:0 CPUQuota:0 CPURealtimePeriod:0 CPURealtimeRuntime:0 CpusetCpus: CpusetMems: Devices:[] DiskQuota:0 KernelMemory:0 MemoryReservation:0 MemorySwap:0 MemorySwappiness:0xc4210c6270 OomKillDisable:0xc4210c627a PidsLimit:0 Ulimits:[] CPUCount:0 CPUPercent:0 IOMaximumIOps:0 IOMaximumBandwidth:0}}}"
Jan 20 17:18:25 cahc-dev dockerd-latest[12291]: time="2017-01-20T17:18:25.022894582Z" level=error msg="Handler for POST /v1.25/containers/97f3af5ea91670143328eac858df6e665a6789c47c5a01349ac64c4437f5cf38/start returned error: linux init cgroups path: mkdir /system.slice: permission denied"

Comment 1 Micah Abbott 2017-06-22 20:16:25 UTC
This looks like it is back...

# atomic host status
State: idle
Deployments:
● centos-atomic-continuous:centos-atomic-host/7/x86_64/devel/continuous
                Version: 7.2017.420 (2017-06-22 14:07:04)
                 Commit: 102f5a5be1af7c23338933eb65a5994a5653341c533dde81922e10986e4b5b95

# rpm -q docker-latest
docker-latest-1.13-28.git6cd0bbe.el7.x86_64

# docker pull centos
Using default tag: latest
Trying to pull repository docker.io/library/centos ... 
sha256:aebf12af704307dfa0079b3babdca8d7e8ff6564696882bcb5d11f1d461f9ee9: Pulling from docker.io/library/centos
d5e46245fe40: Pull complete 
Digest: sha256:aebf12af704307dfa0079b3babdca8d7e8ff6564696882bcb5d11f1d461f9ee9
Status: Downloaded newer image for docker.io/centos:latest

# docker run docker.io/centos echo 'hello world'
/usr/bin/docker-latest: Error response from daemon: linux init cgroups path: mkdir /system.slice: permission denied.
ERRO[0000] error getting events from daemon: net/http: request canceled 

Relevant journal entries:

Jun 22 20:09:31 localhost.localdomain dockerd-latest[11967]: time="2017-06-22T20:09:31.346317029Z" level=info msg="{Action=_ping, Username=cloud-user, LoginUID=1001, PID=12420}"
Jun 22 20:09:31 localhost.localdomain dockerd-latest[11967]: time="2017-06-22T20:09:31.347477604Z" level=info msg="{Action=create, Username=cloud-user, LoginUID=1001, PID=12420}"
Jun 22 20:09:31 localhost.localdomain dockerd-latest[11967]: time="2017-06-22T20:09:31.412377477Z" level=info msg="{Action=attach, ID=1263ff33a20391643205c7102b57747897aeeed5c14ff352c2f74e70c514b51e, Username=cloud-user, LoginUID=1001, PID=12420}"
Jun 22 20:09:31 localhost.localdomain dockerd-latest[11967]: time="2017-06-22T20:09:31.413733939Z" level=info msg="{Action=start, ID=1263ff33a20391643205c7102b57747897aeeed5c14ff352c2f74e70c514b51e, Username=cloud-user, LoginUID=1001, PID=12420, Config={Hostname=1263ff33a203, AttachStdin=false, AttachStdout=true, AttachStderr=true, Tty=false, OpenStdin=false, StdinOnce=false, Env=[PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin], Cmd=[echo hello world], ArgsEscaped=false, Image=docker.io/centos, NetworkDisabled=false, Labels=map[build-date:20170605 license:GPLv2 name:CentOS Base Image vendor:CentOS]}, HostConfig={LogConfig={Type:journald Config:map[]}, NetworkMode=default, PortBindings=map[], RestartPolicy={Name:no MaximumRetryCount:0}, AutoRemove=false, DNS=[], DNSOptions=[], DNSSearch=[], Privileged=false, PublishAllPorts=false, ReadonlyRootfs=false, ShmSize=67108864, Runtime=oci, Resources={CPUShares:0 Memory:0 NanoCPUs:0 CgroupParent: BlkioWeight:0 BlkioWeightDevice:[] BlkioDeviceReadBps:[] BlkioDeviceWriteBps:[] BlkioDeviceReadIOps:[] BlkioDeviceWriteIOps:[] CPUPeriod:0 CPUQuota:0 CPURealtimePeriod:0 CPURealtimeRuntime:0 CpusetCpus: CpusetMems: Devices:[] DiskQuota:0 KernelMemory:0 MemoryReservation:0 MemorySwap:0 MemorySwappiness:0xc420ea8bf0 OomKillDisable:0xc420ea8bfa PidsLimit:0 Ulimits:[] CPUCount:0 CPUPercent:0 IOMaximumIOps:0 IOMaximumBandwidth:0}}}"
Jun 22 20:09:31 localhost.localdomain dockerd-latest[11967]: time="2017-06-22T20:09:31.754291652Z" level=error msg="Handler for POST /v1.25/containers/1263ff33a20391643205c7102b57747897aeeed5c14ff352c2f74e70c514b51e/start returned error: linux init cgroups path: mkdir /system.slice: permission denied"

Comment 2 Jan Kurik 2017-08-15 06:43:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 3 Ben Cotton 2018-11-27 18:39:17 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2018-11-30 17:37:42 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.